ServiceProxyAsync (gCube Resource Management Portlet 6.4.0-4.7.0-150651 API)
Date: 2017-10-12

org.gcube.portlets.admin.resourcemanagement.client.remote

## Interface ServiceProxyAsync

-     public interface ServiceProxyAsync

  The asynchronous representation of `ServiceProxy` interface. Needed to implement the server side async RPC.
  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourcesToScope(String resType, List<String> resourceIDs, String scope, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> callback)`
    `void` | `checkDeployStatus(String scope, String deployID, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> callback)`
    `void` | `createGenericResource(String id, String name, String description, String body, String subType, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `deploy(List<String> ghnsID, List<String> servicesID, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `doOperation(org.gcube.resourcemanagement.support.shared.operations.SupportedOperations opCode, String scope, List<org.gcube.resourcemanagement.support.shared.types.datamodel.ResourceDescriptor> resources, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)` RESOURCE OPERATIONS
    `void` | `emptyCache(com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `enableSuperUserMode(String password, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `getAvailableAddScopes(com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)`
    `void` | `getAvailableScopes(com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)`
    `void` | `getGenericResourceDescriptor(String scope, String resID, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.datamodel.ResourceDescriptor> callback)`
    `void` | `getGenericResourcePlugins(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,org.gcube.resourcemanagement.support.shared.plugins.GenericResourcePlugin>> callback)`
    `void` | `getRelatedResources(String type, String id, String scope, com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)`
    `void` | `getResourceByID(String scope, String type, String resID, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.datamodel.CompleteResourceProfile> callback)`
    `void` | `getResourcesBySubType(String scope, String type, String subtype, com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)`
    `void` | `getResourcesByType(String scope, String type, com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)`
    `void` | `getResourcesModel(String scope, String type, String subType, List<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> additionalMaps, com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.resourcemanagement.support.shared.types.datamodel.ResourceDescriptor>> callback)`
    `void` | `getResourceTypeTree(String scope, com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ArrayList<String>>> callback)`
    `void` | `getWSResources(String scope, com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)`
    `void` | `initScopes(boolean doClean, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `initStatus(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.client.utils.CurrentStatus> callback)`
    `void` | `removeResourcesFromScope(String resType, List<String> resourceIDs, String scope, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> callback)`
    `void` | `setCurrentScope(String scope, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `setSuperUser(boolean superUser, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `setUseCache(boolean flag, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `updateGenericResource(String id, String name, String description, String body, String subType, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`

- - ### Method Detail

    - #### emptyCache

          void emptyCache(com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### setUseCache

          void setUseCache(boolean flag,
                           com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### setSuperUser

          void setSuperUser(boolean superUser,
                            com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### setCurrentScope

          void setCurrentScope(String scope,
                               com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### initStatus

          void initStatus(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.client.utils.CurrentStatus> callback)

    - #### initScopes

          void initScopes(boolean doClean,
                          com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### addResourcesToScope

          void addResourcesToScope(String resType,
                                   List<String> resourceIDs,
                                   String scope,
                                   com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> callback)

    - #### removeResourcesFromScope

          void removeResourcesFromScope(String resType,
                                        List<String> resourceIDs,
                                        String scope,
                                        com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> callback)

    - #### deploy

          void deploy(List<String> ghnsID,
                      List<String> servicesID,
                      com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### checkDeployStatus

          void checkDeployStatus(String scope,
                                 String deployID,
                                 com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> callback)

    - #### getResourcesModel

          void getResourcesModel(String scope,
                                 String type,
                                 String subType,
                                 List<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> additionalMaps,
                                 com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.resourcemanagement.support.shared.types.datamodel.ResourceDescriptor>> callback)

    - #### getGenericResourceDescriptor

          void getGenericResourceDescriptor(String scope,
                                            String resID,
                                            com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.datamodel.ResourceDescriptor> callback)

    - #### getAvailableScopes

          void getAvailableScopes(com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)

      See Also:
        `ServiceProxy.getAvailableScopes()`

    - #### getAvailableAddScopes

          void getAvailableAddScopes(com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)

    - #### getResourceTypeTree

          void getResourceTypeTree(String scope,
                                   com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ArrayList<String>>> callback)

    - #### getRelatedResources

          void getRelatedResources(String type,
                                   String id,
                                   String scope,
                                   com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)

    - #### getResourcesByType

          void getResourcesByType(String scope,
                                  String type,
                                  com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)

      See Also:
        `ServiceProxy.getResourcesByType(String, String)`

    - #### getResourcesBySubType

          void getResourcesBySubType(String scope,
                                     String type,
                                     String subtype,
                                     com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)

      See Also:
        `ServiceProxy.getResourcesBySubType(String, String, String)`

    - #### getWSResources

          void getWSResources(String scope,
                              com.google.gwt.user.client.rpc.AsyncCallback<List<String>> callback)

      See Also:
        `ServiceProxy.getWSResources(String)`

    - #### getResourceByID

          void getResourceByID(String scope,
                               String type,
                               String resID,
                               com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.datamodel.CompleteResourceProfile> callback)

      See Also:
        `ServiceProxy.getResourceByID(String, String, String)`

    - #### createGenericResource

          void createGenericResource(String id,
                                     String name,
                                     String description,
                                     String body,
                                     String subType,
                                     com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### updateGenericResource

          void updateGenericResource(String id,
                                     String name,
                                     String description,
                                     String body,
                                     String subType,
                                     com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### getGenericResourcePlugins

          void getGenericResourcePlugins(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,org.gcube.resourcemanagement.support.shared.plugins.GenericResourcePlugin>> callback)

    - #### doOperation

          void doOperation(org.gcube.resourcemanagement.support.shared.operations.SupportedOperations opCode,
                           String scope,
                           List<org.gcube.resourcemanagement.support.shared.types.datamodel.ResourceDescriptor> resources,
                           com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)
                    throws Exception

      RESOURCE OPERATIONS
      Throws:
        `Exception`

    - #### enableSuperUserMode

          void enableSuperUserMode(String password,
                                   com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

Copyright © 2017. All Rights Reserved.